Bug 489394 - pulseaudio[3322]: module-hal-detect.c: D-Bus error while parsing HAL data
pulseaudio[3322]: module-hal-detect.c: D-Bus error while parsing HAL data
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 16:23 EDT by Tom London
Modified: 2009-03-19 08:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 07:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2009-03-09 16:23:27 EDT
Description of problem:
Sorry if this is a "refile", but couldn't find it by searching....

Not sure its a problem, or just logging spew.

I get this when I insert an SD card:

Mar  9 13:16:17 tlondon kernel: usb 2-6: new high speed USB device using ehci_hcd and address 2
Mar  9 13:16:17 tlondon kernel: usb 2-6: New USB device found, idVendor=05ca, idProduct=1880
Mar  9 13:16:17 tlondon kernel: usb 2-6: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Mar  9 13:16:17 tlondon kernel: usb 2-6: Product: USB2.0-FLASH Media    
Mar  9 13:16:17 tlondon kernel: usb 2-6: Manufacturer: RICOH             
Mar  9 13:16:17 tlondon kernel: usb 2-6: SerialNumber: R5U880-00003
Mar  9 13:16:17 tlondon kernel: usb 2-6: configuration #1 chosen from 1 choice
Mar  9 13:16:18 tlondon pulseaudio[3322]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ca_1880_R5U880_00003
Mar  9 13:16:18 tlondon kernel: Initializing USB Mass Storage driver...
Mar  9 13:16:18 tlondon kernel: scsi4 : SCSI emulation for USB Mass Storage devices
Mar  9 13:16:18 tlondon kernel: usbcore: registered new interface driver usb-storage
Mar  9 13:16:18 tlondon kernel: USB Mass Storage support registered.
Mar  9 13:16:18 tlondon pulseaudio[3322]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ca_1880_R5U880_00003_if0
Mar  9 13:16:23 tlondon kernel: scsi 4:0:0:0: Direct-Access     RICOH    R5U880FlashMedia 0000 PQ: 0 ANSI: 2
Mar  9 13:16:23 tlondon pulseaudio[3322]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ca_1880_R5U880_00003_if0_scsi_host_0_scsi_device_lun0
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] 4001792 512-byte hardware sectors: (2.04 GB/1.90 GiB)
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] Write Protect is off
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] Assuming drive cache: write through
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] 4001792 512-byte hardware sectors: (2.04 GB/1.90 GiB)
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] Write Protect is off
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] Assuming drive cache: write through
Mar  9 13:16:23 tlondon kernel: sdb: sdb1
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: [sdb] Attached SCSI removable disk
Mar  9 13:16:23 tlondon kernel: sd 4:0:0:0: Attached scsi generic sg2 type 0
Mar  9 13:16:28 tlondon gnome-keyring-daemon[3079]: adding removable location: volume_uuid_E0FD_1813 at /media/E0FD-1813


Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-3.test5.fc11.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2009-03-12 18:42:54 EDT
I only see these messages when I insert the SD card when logged in (gnome).

Mar 12 15:41:39 tlondon pulseaudio[12711]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ca_1880_R5U880_00003
Mar 12 15:41:39 tlondon pulseaudio[12711]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ca_1880_R5U880_00003_if0
Mar 12 15:41:44 tlondon kernel: scsi 5:0:0:0: Direct-Access     RICOH    R5U880FlashMedia 0000 PQ: 0 ANSI: 2
Mar 12 15:41:44 tlondon pulseaudio[12711]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ca_1880_R5U880_00003_if0_scsi_host_0_scsi_device_lun0
Comment 2 Tom London 2009-03-12 18:44:53 EDT
Hmmm... notice similar message when I plug in my iPhone:

Mar 12 15:43:43 tlondon kernel: usb 1-5.3.3: Product: iPhone
Mar 12 15:43:43 tlondon kernel: usb 1-5.3.3: Manufacturer: Apple Inc.
Mar 12 15:43:43 tlondon kernel: usb 1-5.3.3: SerialNumber: 99a21bf8a8f65a1ca270e055cd379af92555df60
Mar 12 15:43:43 tlondon kernel: usb 1-5.3.3: configuration #1 chosen from 3 choices
Mar 12 15:43:43 tlondon pulseaudio[12711]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_5ac_1292_99a21bf8a8f65a1ca270e055cd379af92555df60

Harmless spew?
Comment 3 Lennart Poettering 2009-03-19 07:19:56 EDT
Hmm, HAL's libhal_device_query_capability() function seems to return this.
Comment 4 Lennart Poettering 2009-03-19 07:39:52 EDT
This issue can safely be ignored, but is now fixed upstream in r3e8c7ac.
Comment 5 Lennart Poettering 2009-03-19 07:43:08 EDT
This issue can safely be ignored, but is now fixed upstream in r3e8c7ac.
Comment 6 Lennart Poettering 2009-03-19 07:48:34 EDT
This issue can safely be ignored, but is now fixed upstream in r3e8c7ac.
Comment 7 Lennart Poettering 2009-03-19 08:01:18 EDT
Sorry for the duplicate comments. rhbz just threw proxy errors.

Note You need to log in before you can comment on or make changes to this bug.